Subject: [PATCH v2 00/17] kvm-arm: Add stage2 page table walker

From: [email-masked] (Christoffer Dall)
Date: Thu, 14 Apr 2016 18:03:48 +0200

On Thu, Apr 14, 2016 at 02:29:22PM +0100, Suzuki K Poulose wrote:
> On 14/04/16 14:20, Suzuki K Poulose wrote:
> >This series adds support for stage2 page table helpers and makes
> >the core kvm-arm MMU code make use of it. At the moment we assume
> >that the host/hyp and the stage2 page tables have same number of
> >levels and hence use the host level accessors (except for some
> >hooks, e.g kvm_p.d_addr_end) and shares the routines for unmapping
> >the page table ranges.
> 
> >The tree is available at :
> >       git://linux-arm.org/linux-skp.git kvm-stage2/v2
> 
> Please note that the tree above contains one additional patch on top of kvmarm/master :
> commit	91ad0db16a42a7d3("arm64/sunxi: 4.6-rc1: Add dependency on generic irq chip"),
> which is there to fix a build break with ARCH_SUNXI selected on 4.6-rc1.
> 
ok, but I can just build/test this without ARCH_SUNXI and pick the
remains of this series only for kvmarm/next, as far as I can tell,
right?

Marc, seems like you're happy with this series as well?

Will/Catalin:
How do we attack this for the arm64 specific parts?

Do you want to ack this patches and I queue this as a whole or do you
want to apply patches 1, 2, and 3 and provide me a stable branch that I
can base this on?

Thanks,
-Christoffer